from __future__ import annotations
from typing import List
from pydantic import BaseModel


class Query(BaseModel):
    fields: List[str]
    query: str


class MVWJSONRequest(BaseModel):
    queries: List[Query]
    sortBy: str
    sortOrder: str
    future: bool
    offset: int
    size: int
